跳到正文

database_api.list_withdraw_vesting_routes ​

Purpose ​

返回权益份额提现路由(vesting withdraw route)列表。参数:start:array、limit:int、order:string

  • start 取决于 order(见下文)
  • limit 最大 1000。
  • order 可取以下值:
    • by_withdraw_route - 按提现路由排序
      • start 为两个值组成的数组:from_account、to_account
    • by_destination - 按目的地排序
      • start 为两个值组成的数组:to_account、route_id

| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["temp", ""] | 10 | "by_withdraw_route" | 查询前 10 条路由,按提现路由排序 | | ["", 0] | 10 | "by_destination" | 查询前 10 条路由,按目的地排序 |

另见:Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_withdraw_vesting_routes",
    "params": {
      "start": [
        "temp",
        ""
      ],
      "limit": 10,
      "order": "by_withdraw_route"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_withdraw_vesting_routes",
    "params": {
      "start": [
        "",
        0
      ],
      "limit": 10,
      "order": "by_destination"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "routes": [
    {
      "id": 39503,
      "from_account": "temperature",
      "to_account": "luckdiver",
      "percent": 10000,
      "auto_vest": false
    }
  ]
}